summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Vincent Batts2014-01-30 10:50:27 +0100
committer Robby Workman2014-02-01 07:40:46 +0100
commit422034fc80147d51fe332c276054651b2434fb58 (patch)
tree00aaa514756de884c1d394d3262775cd9259f0fa /development
parentd8edc7ee6199d078e0c7aa7f29d5a6fde43e1cfb (diff)
downloadslackbuilds-422034fc80147d51fe332c276054651b2434fb58.tar.gz
development/golang-googlecode-gotools: Added (golang extra tools).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/golang-googlecode-gotools/README8
-rw-r--r--development/golang-googlecode-gotools/golang-googlecode-gotools.SlackBuild100
-rw-r--r--development/golang-googlecode-gotools/golang-googlecode-gotools.info10
-rw-r--r--development/golang-googlecode-gotools/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/development/golang-googlecode-gotools/README b/development/golang-googlecode-gotools/README
new file mode 100644
index 0000000000..4b08597ffd
--- /dev/null
+++ b/development/golang-googlecode-gotools/README
@@ -0,0 +1,8 @@
+golang-googlecode-gotools
+
+Provides a couple of tools for working with the Go programming language. Like
+godoc, a code vetting analysis utility and others.
+
+This also provides the import path of code.google.com/p/go.tools for the Go
+programming language. These libraries are source only.
+To compile using the libraries, include "/usr/share/gocode" in your GOPATH
diff --git a/development/golang-googlecode-gotools/golang-googlecode-gotools.SlackBuild b/development/golang-googlecode-gotools/golang-googlecode-gotools.SlackBuild
new file mode 100644
index 0000000000..980b62a604
--- /dev/null
+++ b/development/golang-googlecode-gotools/golang-googlecode-gotools.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for golang-googlecode-gotools
+
+# Copyright 2014 Vincent Batts <vbatts@hashbangbash.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=golang-googlecode-gotools
+VERSION=${VERSION:-588451}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+IMPORT_PATH="code.google.com/p/go.tools"
+SRCNAM=$(basename ${IMPORT_PATH})
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xf $CWD/$SRCNAM-${VERSION}.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+unset GOPATH
+
+mkdir -p ${PKG}/usr/bin
+mkdir -p ${PKG}/usr/share/gocode/src/${IMPORT_PATH}
+cp -a . ${PKG}/usr/share/gocode/src/${IMPORT_PATH}
+
+export GOPATH=${PKG}/usr/share/gocode:/usr/share/gocode
+export GOBIN=${PKG}/usr/bin
+for cmd in godoc cover vet oracle gotype html2article ; do
+ cd ./cmd/${cmd}/
+ go build -a -x -o ${GOBIN}/${cmd} .
+ strip ${GOBIN}/${cmd}
+ cd ../../
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTORS README PATENTS AUTHORS LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/golang-googlecode-gotools/golang-googlecode-gotools.info b/development/golang-googlecode-gotools/golang-googlecode-gotools.info
new file mode 100644
index 0000000000..0f40b6a2e0
--- /dev/null
+++ b/development/golang-googlecode-gotools/golang-googlecode-gotools.info
@@ -0,0 +1,10 @@
+PRGNAM="golang-googlecode-gotools"
+VERSION="588451"
+HOMEPAGE="https://code.google.com/p/go.tools/"
+DOWNLOAD="http://www.hashbangbash.com/downloads/src/go.tools-588451.tar.gz"
+MD5SUM="ea081c8c0f786c9110e94514556ed931"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang golang-googlecode-gonet"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
diff --git a/development/golang-googlecode-gotools/slack-desc b/development/golang-googlecode-gotools/slack-desc
new file mode 100644
index 0000000000..9865798a59
--- /dev/null
+++ b/development/golang-googlecode-gotools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+golang-googlecode-gotools: golang-googlecode-gotools (supplementary tools for golang)
+golang-googlecode-gotools:
+golang-googlecode-gotools: Supplementary tools for working with golang and libraries for this
+golang-googlecode-gotools: tooling.
+golang-googlecode-gotools:
+golang-googlecode-gotools:
+golang-googlecode-gotools:
+golang-googlecode-gotools:
+golang-googlecode-gotools:
+golang-googlecode-gotools:
+golang-googlecode-gotools: